Bug 1266171 - VLAN interface naming examples are contradictory
VLAN interface naming examples are contradictory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Networking_Guide (Show other bugs)
7.1
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Mirek Jahoda
ecs-bugs
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 12:39 EDT by Bryce Pier
Modified: 2016-06-21 12:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-21 12:28:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce Pier 2015-09-24 12:39:22 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Networking_Guide/index.html
Section Number and Name: 
8.5. NAMING SCHEME FOR VLAN INTERFACES
Describe the issue: 
The examples for VLAN interface naming without padding are not the same for the 2 options below.

VLAN plus VLAN ID without padding
The word vlan plus the VLAN ID with out padding by means of an additional two zeros. For example: vlan5

Device name plus VLAN ID without padding
The name of the parent interface plus the VLAN ID with out padding by means of an additional two zeros. For example: eth0.05


Suggestions for improvement: 
I believe the second example should be "eth0.5" as this matches working configuration on my RHEL7.1 server and matches the documentation in "7.4. CONFIGURE 802.1Q VLAN TAGGING USING THE COMMAND LINE" of the same guide.


Additional information:
Comment 2 Laura Bailey 2015-10-12 05:06:58 EDT
Reassigning all of my bugs to the new DPM Tomas Capek.
Comment 7 Mirek Jahoda 2016-06-21 12:28:28 EDT
Hello.

This bug is already fixed and reflected in the documentation on the Red Hat Customer Portal [1].

Thank you for the report.

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Networking_Guide/index.html#sec-Naming_Scheme_for_VLAN_Interfaces

Note You need to log in before you can comment on or make changes to this bug.